Summary:        C implementation of the createrepo
Name:           createrepo_c
Version:        0.20.1
Release:        8%{?dist}
License:        GPLv2+
URL:            https://github.com/rpm-software-management/createrepo_c
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

Patch0001:      backport-Add-detection-of-posttrans-and-pretrans-scriptlet-fr.patch

BuildRequires:  cmake gcc bzip2-devel xz libmodulemd bash-completion rpm
BuildRequires:  file-devel glib2-devel libcurl-devel libxml2-devel openssl-devel rpm-devel sqlite-devel  xz-devel zlib-devel libmodulemd-devel
Requires:       libmodulemd
Requires:       %{name}-libs = %{version}-%{release}
Provides:       createrepo = %{version}-%{release}

%description
C implementation of Createrepo.
A set of utilities (createrepo_c, mergerepo_c, modifyrepo_c)
for generating a common metadata repository from a directory of
rpm packages and maintaining it.

%package libs
Summary:    Library for repodata manipulation

%description libs
Libraries for applications using the createrepo_c library
for easy manipulation with a repodata.

%package devel
Summary:    Library for repodata manipulation
Requires:   %{name}-libs = %{version}-%{release}

%description devel
This package contains the createrepo_c C library and header files.
These development files are for easy manipulation with a repodata.

%package -n python3-%{name}
Summary:        Python 3 bindings for the createrepo_c library
BuildRequires:  python3-devel python3-setuptools
Requires:       %{name}-libs = %{version}-%{release}
Provides:       python%{python3_version}-%{name} = %{version}-%{release}
Provides:       python-%{name} = %{version}-%{release}

%description -n python3-%{name}
Python 3 bindings for the createrepo_c library.

%prep
%autosetup -p1

%build
mkdir -p build
pushd build
  %cmake -DWITH_ZCHUNK=OFF -DWITH_LIBMODULEMD=ON -DWITH_LEGACY_HASHES=OFF -DENABLE_DRPM=OFF ..
  pushd %{_vpath_builddir}
    %make_build
  popd
popd

%check
pushd build/%{_vpath_builddir}
  make tests
  make ARGS="-V" test
popd


%install
pushd build/%{_vpath_builddir}
  %make_install
popd

ln -sr %{buildroot}%{_bindir}/createrepo_c %{buildroot}%{_bindir}/createrepo
ln -sr %{buildroot}%{_bindir}/mergerepo_c %{buildroot}%{_bindir}/mergerepo
ln -sr %{buildroot}%{_bindir}/modifyrepo_c %{buildroot}%{_bindir}/modifyrepo

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig

%files
%doc README.md
%{_mandir}/man8/createrepo_c.8*
%{_mandir}/man8/mergerepo_c.8*
%{_mandir}/man8/modifyrepo_c.8*
%{_mandir}/man8/sqliterepo_c.8*
%{_bindir}/createrepo_c
%{_bindir}/mergerepo_c
%{_bindir}/modifyrepo_c
%{_bindir}/sqliterepo_c
%{_bindir}/createrepo
%{_bindir}/mergerepo
%{_bindir}/modifyrepo
%{_datadir}/bash-completion/completions/*

%files libs
%license COPYING
%{_libdir}/lib%{name}.so.*

%files devel
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/%{name}/

%files -n python3-%{name}
%{python3_sitearch}/%{name}/
%{python3_sitearch}/%{name}-%{version}-py%{python3_version}.egg-info

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.20.1-8
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.20.1-7
- Rebuilt for loongarch release

* Tue Mar 19 2024 Shuo Wang <abushwang@tencent.com> - 0.20.1-6
- backport patch pushed by ocs
- Add detection of %posttrans and %pretrans scriptlet from rpm

* Thu Oct 12 2023 Miaojun Dong <zoedong@tencent.com> - 0.20.1-5
- Rebuild for curl-8.4.0

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.20.1-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.20.1-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Aug 04 2023 Xiaojie Chen <jackxjchen@tencent.com> - 0.20.1-2
- Rebuilt for file 5.45

* Wed Jun 21 2023 kianli <kianli@tencent.com> - 0.20.1-1
- Upgrade to 0.20.1

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.20.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.20.0-2
- Rebuilt for OpenCloudOS Stream 23

* Mon May 16 2022 Xun Zhong <victorzhong@tencent.com> - 0.20.0-1
- initial build
